%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.3
%global pypi_name protobuf

Name:           python-%{pypi_name}
Version:        4.25.3
Release:        1.0.1%{?dist}
Summary:        Protocol Buffers

License:        BSD-3-Clause
URL:            https://developers.google.com/protocol-buffers/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:LICENSE

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{__cp} %{SOURCE1} .


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
/usr/lib/debug
/usr/src/debug
%{python3_sitearch}/google
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}-nspkg.pth
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 4.25.3-1.0.1
- Update to 4.25.3

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 4.25.2-1.0.1
- Update to 4.25.2
- Rebuild with python 3.11

* Thu Feb 2 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 4.21.6-1.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-32]

* Tue Sep 20 2022 Odilon Sousa - 4.21.6-1
- Initial package.
